package domain


type AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder struct {
    /*
        外部子单号     */
    SubOutOrderId  *string `json:"sub_out_order_id,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        子单退货数量     */
    RefundQuantity  *int64 `json:"refund_quantity,omitempty" `

    /*
        子单退款金额，单位：分     */
    RefundFee  *int64 `json:"refund_fee,omitempty" `

    /*
        子单退款重量     */
    RefundWeight  *int64 `json:"refund_weight,omitempty" `

    /*
        退款商品的优惠金额，单位：分     */
    DiscountFee  *int64 `json:"discount_fee,omitempty" `

    /*
        退款商品的商家分摊优惠金额，单位：分     */
    MerchantDiscountFee  *int64 `json:"merchant_discount_fee,omitempty" `

    /*
        退款商品的平台分摊优惠金额，单位：分     */
    PlatformDiscountFee  *int64 `json:"platform_discount_fee,omitempty" `

    /*
        营销优惠明细     */
    DiscountInfos  *[]AlibabaTclsAelophyMerchantChannelRefundCompleteDiscountInfo `json:"discount_infos,omitempty" `

}

func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder) SetSubOutOrderId(v string) *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder {
    s.SubOutOrderId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder) SetSkuCode(v string) *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder {
    s.SkuCode = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder) SetRefundQuantity(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder {
    s.RefundQuantity = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder) SetRefundFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder {
    s.RefundFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder) SetRefundWeight(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder {
    s.RefundWeight = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder) SetDiscountFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder {
    s.DiscountFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder) SetMerchantDiscountFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder {
    s.MerchantDiscountFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder) SetPlatformDiscountFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder {
    s.PlatformDiscountFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder) SetDiscountInfos(v []AlibabaTclsAelophyMerchantChannelRefundCompleteDiscountInfo) *AlibabaTclsAelophyMerchantChannelRefundCompleteSubRefundOrder {
    s.DiscountInfos = &v
    return s
}
